# AttemptCapturePhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class AttemptCapturePhase

#### Hierarchy (View Summary)

- PokemonPhase
  - AttemptCapturePhase

- Defined in src/phases/attempt-capture-phase.ts:29

##### Index

### Constructors

constructor

### Properties

battlerIndex
fieldIndex
player

### Methods

catch
end
executeForAll
failCatch
getPokemon
hideEnemyTrainer
removePb
showEnemyTrainer
start

## Constructors

### constructor

- new AttemptCapturePhase(
  targetIndex: number,
  pokeballType: PokeballType ,
  ): AttemptCapturePhase

  #### Parameters

  - targetIndex: number
  - pokeballType: PokeballType

  #### Returns AttemptCapturePhase

  Overrides PokemonPhase.constructor

  - Defined in src/phases/attempt-capture-phase.ts:34

## Properties

### `Protected` battlerIndex

battlerIndex: number

Inherited from PokemonPhase.battlerIndex

- Defined in src/phases/pokemon-phase.ts:7

### fieldIndex

fieldIndex: number

Inherited from PokemonPhase.fieldIndex

- Defined in src/phases/pokemon-phase.ts:9

### player

player: boolean

Inherited from PokemonPhase.player

- Defined in src/phases/pokemon-phase.ts:8

## Methods

### catch

- catch(): void

  #### Returns void

  - Defined in src/phases/attempt-capture-phase.ts:224

### end

- end(): void

  #### Returns void

  Inherited from PokemonPhase.end

  - Defined in src/phase.ts:6

### executeForAll

- executeForAll(func: PokemonFunc): void

  #### Parameters

  - func: PokemonFunc

  #### Returns void

  Inherited from PokemonPhase.executeForAll

  - Defined in src/phases/field-phase.ts:8

### failCatch

- failCatch(_shakeCount: number): void

  #### Parameters

  - _shakeCount: number

  #### Returns void

  - Defined in src/phases/attempt-capture-phase.ts:191

### getPokemon

- getPokemon(): default

  #### Returns default

  Inherited from PokemonPhase.getPokemon

  - Defined in src/phases/pokemon-phase.ts:26

### hideEnemyTrainer

- hideEnemyTrainer(): void

  #### Returns void

  Inherited from PokemonPhase.hideEnemyTrainer

  - Defined in src/phases/battle-phase.ts:37

### removePb

- removePb(): void

  #### Returns void

  - Defined in src/phases/attempt-capture-phase.ts:376

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?: TrainerSlot ): void

  #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from PokemonPhase.showEnemyTrainer

  - Defined in src/phases/battle-phase.ts:10

### start

- start(): void

  #### Returns void

  Overrides PokemonPhase.start

  - Defined in src/phases/attempt-capture-phase.ts:40